using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanYouBuildIt.Model
{
    public class Stub : IPersistanceManager
    {
        public Stub() { }
        public (List<Utilisateur>,List<Composant>) chargeDonnee()
        {
            List<Utilisateur> lu = new List<Utilisateur>();
            List<Composant> lc = new List<Composant>();
            
            Utilisateur u1 = new Utilisateur("Clément", "1234");
            Utilisateur u2 = new Utilisateur("Vivien", "vivien");
            Utilisateur u3 = new Utilisateur("Kevin", "0000");
            lu.Add(u1);
            lu.Add(u2);
            lu.Add(u3);

            Composant c1 = new Composant("ASUS RTX 3060", TypeComposant.CarteGraphique, (float)453.99, "https://www.amazon.fr/ASUS-DUAL-NVIDIA-GeForce-GDDR6/dp/B096658ZWP");
            Composant c2 = new Composant("Kingston Kit mémoire FURY Beast 16 Go (2 x 8 Go) 3200 MHz DDR4 CL16", TypeComposant.RAM, (float)49.99, "https://www.amazon.fr/Kingston-3200MHz-M%C3%A9moire-KF432C16BBK2-16/dp/B097K2WBL3/");
            lc.Add(c1);
            lc.Add(c2);

            return (lu,lc);
        }

        public void sauvegardeDonnee(List<Utilisateur> lu,List<Composant> lc)
        { }
    }
}
